<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref15.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::UnaryExpr - Synopsis::PTree::Visitor::visit&#40;DoStatement*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::UnaryExpr - Synopsis::PTree::Visitor::visit&#40;DoStatement*&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mUnaryExpr" /><h2 >Class Synopsis::PTree::UnaryExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UnaryExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#399">Synopsis/PTree/Lists.hh:399</a>: in class <a href="../Scopes/Synopsis/PTree/UnaryExpr.html" >Synopsis::PTree::UnaryExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#399">Synopsis/PTree/Lists.hh:399</a>: in class <a href="../Scopes/Synopsis/PTree/UnaryExpr.html" >Synopsis::PTree::UnaryExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#70">Synopsis/PTree/TypeVisitor.hh:70</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#177">Synopsis/PTree/Visitor.hh:177</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#34">Synopsis/TypeAnalysis/ConstEvaluator.hh:34</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#39">Synopsis/TypeAnalysis/TypeEvaluator.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#402">Synopsis/PTree/Lists.hh:402</a>: Constructor <a href="../Scopes/Synopsis/PTree/UnaryExpr.html#UnaryExpr_lNode_S_cNode_S_r" >UnaryExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUnaryExpr_mUnaryExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::UnaryExpr::UnaryExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UnaryExpr.html#UnaryExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#402">Synopsis/PTree/Lists.hh:402</a>: in class <a href="../Scopes/Synopsis/PTree/UnaryExpr.html" >Synopsis::PTree::UnaryExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserAccessSpec" /><h2 >Class Synopsis::PTree::UserAccessSpec</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserAccessSpec.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#248">Synopsis/PTree/Lists.hh:248</a>: in class <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html" >Synopsis::PTree::UserAccessSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#49">Synopsis/PTree/TypeVisitor.hh:49</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#142">Synopsis/PTree/Visitor.hh:142</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#251">Synopsis/PTree/Lists.hh:251</a>: Constructor <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html#UserAccessSpec_lNode_S_cNode_S_r" >UserAccessSpec&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#252">Synopsis/PTree/Lists.hh:252</a>: Member function <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserAccessSpec_mUserAccessSpec_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::UserAccessSpec::UserAccessSpec&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserAccessSpec.html#UserAccessSpec_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#251">Synopsis/PTree/Lists.hh:251</a>: in class <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html" >Synopsis::PTree::UserAccessSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserAccessSpec_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::UserAccessSpec::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserAccessSpec.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#252">Synopsis/PTree/Lists.hh:252</a>: in class <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html" >Synopsis::PTree::UserAccessSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserKeyword" /><h2 >Class Synopsis::PTree::UserKeyword</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#79">Synopsis/PTree/Atoms.hh:79</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#82">Synopsis/PTree/Atoms.hh:82</a>: Constructor <a href="../Scopes/Synopsis/PTree/UserKeyword.html#UserKeyword_lconst.Token_A_r" >UserKeyword&#40;const Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#83">Synopsis/PTree/Atoms.hh:83</a>: Member function <a href="../Scopes/Synopsis/PTree/UserKeyword.html#token_l_rconst" >token&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#84">Synopsis/PTree/Atoms.hh:84</a>: Member function <a href="../Scopes/Synopsis/PTree/UserKeyword.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#86">Synopsis/PTree/Atoms.hh:86</a>: Data member <a href="../Scopes/Synopsis/PTree/UserKeyword.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserKeyword_mUserKeyword_lconst.Token_A_r" /><h2 >Constructor Synopsis::PTree::UserKeyword::UserKeyword&#40;const Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserKeyword.html#UserKeyword_lconst.Token_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#82">Synopsis/PTree/Atoms.hh:82</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserKeyword_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::UserKeyword::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserKeyword.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#84">Synopsis/PTree/Atoms.hh:84</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserKeyword_mmy_type" /><h2 >Data member Synopsis::PTree::UserKeyword::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserKeyword.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#86">Synopsis/PTree/Atoms.hh:86</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#83">Synopsis/PTree/Atoms.hh:83</a>: in member function <a href="../Scopes/Synopsis/PTree/UserKeyword.html#token_l_rconst" >Synopsis::PTree::UserKeyword::token&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserKeyword_mtoken_l_rconst" /><h2 >Member function Synopsis::PTree::UserKeyword::token&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserKeyword.html#token_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#83">Synopsis/PTree/Atoms.hh:83</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserStatementExpr" /><h2 >Class Synopsis::PTree::UserStatementExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserStatementExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#465">Synopsis/PTree/Lists.hh:465</a>: in class <a href="../Scopes/Synopsis/PTree/UserStatementExpr.html" >Synopsis::PTree::UserStatementExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#465">Synopsis/PTree/Lists.hh:465</a>: in class <a href="../Scopes/Synopsis/PTree/UserStatementExpr.html" >Synopsis::PTree::UserStatementExpr</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#468">Synopsis/PTree/Lists.hh:468</a>: Constructor <a href="../Scopes/Synopsis/PTree/UserStatementExpr.html#UserStatementExpr_lNode_S_cNode_S_r" >UserStatementExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserStatementExpr_mUserStatementExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::UserStatementExpr::UserStatementExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserStatementExpr.html#UserStatementExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#468">Synopsis/PTree/Lists.hh:468</a>: in class <a href="../Scopes/Synopsis/PTree/UserStatementExpr.html" >Synopsis::PTree::UserStatementExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserdefKeyword" /><h2 >Class Synopsis::PTree::UserdefKeyword</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserdefKeyword.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#255">Synopsis/PTree/Lists.hh:255</a>: in class <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html" >Synopsis::PTree::UserdefKeyword</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#258">Synopsis/PTree/Lists.hh:258</a>: Constructor <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html#UserdefKeyword_lNode_S_cNode_S_r" >UserdefKeyword&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#259">Synopsis/PTree/Lists.hh:259</a>: Member function <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserdefKeyword_mUserdefKeyword_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::UserdefKeyword::UserdefKeyword&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserdefKeyword.html#UserdefKeyword_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#258">Synopsis/PTree/Lists.hh:258</a>: in class <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html" >Synopsis::PTree::UserdefKeyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUserdefKeyword_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::UserdefKeyword::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UserdefKeyword.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#259">Synopsis/PTree/Lists.hh:259</a>: in class <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html" >Synopsis::PTree::UserdefKeyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUsingDeclaration" /><h2 >Class Synopsis::PTree::UsingDeclaration</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UsingDeclaration.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#119">Synopsis/PTree/Lists.hh:119</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html" >Synopsis::PTree::UsingDeclaration</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#40">Synopsis/PTree/TypeVisitor.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#125">Synopsis/PTree/Visitor.hh:125</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#101">Synopsis/Parser.hh:101</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#54">Synopsis/SymbolFactory.hh:54</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#122">Synopsis/PTree/Lists.hh:122</a>: Constructor <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html#UsingDeclaration_lNode_S_cNode_S_r" >UsingDeclaration&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#123">Synopsis/PTree/Lists.hh:123</a>: Member function <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUsingDeclaration_mUsingDeclaration_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::UsingDeclaration::UsingDeclaration&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UsingDeclaration.html#UsingDeclaration_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#122">Synopsis/PTree/Lists.hh:122</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html" >Synopsis::PTree::UsingDeclaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUsingDeclaration_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::UsingDeclaration::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UsingDeclaration.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#123">Synopsis/PTree/Lists.hh:123</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html" >Synopsis::PTree::UsingDeclaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUsingDirective" /><h2 >Class Synopsis::PTree::UsingDirective</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UsingDirective.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#112">Synopsis/PTree/Lists.hh:112</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDirective.html" >Synopsis::PTree::UsingDirective</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#38">Synopsis/PTree/TypeVisitor.hh:38</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#103">Synopsis/PTree/Visitor.hh:103</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#100">Synopsis/Parser.hh:100</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#52">Synopsis/SymbolFactory.hh:52</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#116">Synopsis/SymbolLookup/Scope.hh:116</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#89">Synopsis/SymbolLookup/Scopes.hh:89</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#183">Synopsis/SymbolLookup/Scopes.hh:183</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#115">Synopsis/PTree/Lists.hh:115</a>: Constructor <a href="../Scopes/Synopsis/PTree/UsingDirective.html#UsingDirective_lNode_S_r" >UsingDirective&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#116">Synopsis/PTree/Lists.hh:116</a>: Member function <a href="../Scopes/Synopsis/PTree/UsingDirective.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUsingDirective_mUsingDirective_lNode_S_r" /><h2 >Constructor Synopsis::PTree::UsingDirective::UsingDirective&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UsingDirective.html#UsingDirective_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#115">Synopsis/PTree/Lists.hh:115</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDirective.html" >Synopsis::PTree::UsingDirective</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mUsingDirective_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::UsingDirective::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/UsingDirective.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#116">Synopsis/PTree/Lists.hh:116</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDirective.html" >Synopsis::PTree::UsingDirective</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor" /><h2 >Class Synopsis::PTree::Visitor</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#23">Synopsis/PTree/Visitor.hh:23</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#22">Synopsis/PTree/Atoms.hh:22</a>: in class <a href="../Scopes/Synopsis/PTree/Literal.html" >Synopsis::PTree::Literal</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#33">Synopsis/PTree/Atoms.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#49">Synopsis/PTree/Atoms.hh:49</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#57">Synopsis/PTree/Atoms.hh:57</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#66">Synopsis/PTree/Atoms.hh:66</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#76">Synopsis/PTree/Atoms.hh:76</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#84">Synopsis/PTree/Atoms.hh:84</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#19">Synopsis/PTree/Display.hh:19</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#47">Synopsis/PTree/Display.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#65">Synopsis/PTree/Display.hh:65</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#24">Synopsis/PTree/Lists.hh:24</a>: in class <a href="../Scopes/Synopsis/PTree/Brace.html" >Synopsis::PTree::Brace</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#32">Synopsis/PTree/Lists.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Block.html" >Synopsis::PTree::Block</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#40">Synopsis/PTree/Lists.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/ClassBody.html" >Synopsis::PTree::ClassBody</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#48">Synopsis/PTree/Lists.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateDecl.html" >Synopsis::PTree::TemplateDecl</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#55">Synopsis/PTree/Lists.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html" >Synopsis::PTree::TemplateInstantiation</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#63">Synopsis/PTree/Lists.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/ExternTemplate.html" >Synopsis::PTree::ExternTemplate</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#70">Synopsis/PTree/Lists.hh:70</a>: in class <a href="../Scopes/Synopsis/PTree/MetaclassDecl.html" >Synopsis::PTree::MetaclassDecl</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#77">Synopsis/PTree/Lists.hh:77</a>: in class <a href="../Scopes/Synopsis/PTree/LinkageSpec.html" >Synopsis::PTree::LinkageSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#84">Synopsis/PTree/Lists.hh:84</a>: in class <a href="../Scopes/Synopsis/PTree/NamespaceSpec.html" >Synopsis::PTree::NamespaceSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#96">Synopsis/PTree/Lists.hh:96</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#109">Synopsis/PTree/Lists.hh:109</a>: in class <a href="../Scopes/Synopsis/PTree/Typedef.html" >Synopsis::PTree::Typedef</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#116">Synopsis/PTree/Lists.hh:116</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDirective.html" >Synopsis::PTree::UsingDirective</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#123">Synopsis/PTree/Lists.hh:123</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html" >Synopsis::PTree::UsingDeclaration</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#130">Synopsis/PTree/Lists.hh:130</a>: in class <a href="../Scopes/Synopsis/PTree/NamespaceAlias.html" >Synopsis::PTree::NamespaceAlias</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#137">Synopsis/PTree/Lists.hh:137</a>: in class <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html" >Synopsis::PTree::FunctionDefinition</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#145">Synopsis/PTree/Lists.hh:145</a>: in class <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html" >Synopsis::PTree::ParameterDeclaration</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#159">Synopsis/PTree/Lists.hh:159</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#178">Synopsis/PTree/Lists.hh:178</a>: in class <a href="../Scopes/Synopsis/PTree/Name.html" >Synopsis::PTree::Name</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#188">Synopsis/PTree/Lists.hh:188</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#199">Synopsis/PTree/Lists.hh:199</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#217">Synopsis/PTree/Lists.hh:217</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#228">Synopsis/PTree/Lists.hh:228</a>: in class <a href="../Scopes/Synopsis/PTree/TypeParameter.html" >Synopsis::PTree::TypeParameter</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#235">Synopsis/PTree/Lists.hh:235</a>: in class <a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Synopsis::PTree::AccessSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#245">Synopsis/PTree/Lists.hh:245</a>: in class <a href="../Scopes/Synopsis/PTree/AccessDecl.html" >Synopsis::PTree::AccessDecl</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#252">Synopsis/PTree/Lists.hh:252</a>: in class <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html" >Synopsis::PTree::UserAccessSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#259">Synopsis/PTree/Lists.hh:259</a>: in class <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html" >Synopsis::PTree::UserdefKeyword</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#267">Synopsis/PTree/Lists.hh:267</a>: in class <a href="../Scopes/Synopsis/PTree/StatementT.html" >Synopsis::PTree::StatementT</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#358">Synopsis/PTree/Lists.hh:358</a>: in class <a href="../Scopes/Synopsis/PTree/Expression.html" >Synopsis::PTree::Expression</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#366">Synopsis/PTree/Lists.hh:366</a>: in class <a href="../Scopes/Synopsis/PTree/ExpressionT.html" >Synopsis::PTree::ExpressionT</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#29">Synopsis/PTree/Node.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#111">Synopsis/PTree/Node.hh:111</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#119">Synopsis/PTree/Node.hh:119</a>: in class <a href="../Scopes/Synopsis/PTree/List.html" >Synopsis::PTree::List</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#19">Synopsis/PTree/TypeVisitor.hh:19</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#18">Synopsis/PTree/Writer.hh:18</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#22">Synopsis/SymbolLookup/Walker.hh:22</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#22">Synopsis/TypeAnalysis/ConstEvaluator.hh:22</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#22">Synopsis/TypeAnalysis/TypeEvaluator.hh:22</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#26">Synopsis/PTree/Visitor.hh:26</a>: Destructor <a href="../Scopes/Synopsis/PTree/Visitor.html#_tVisitor_l_r" >~Visitor&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#27">Synopsis/PTree/Visitor.hh:27</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNode_S_r" >visit&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#28">Synopsis/PTree/Visitor.hh:28</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#29">Synopsis/PTree/Visitor.hh:29</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lList_S_r" >visit&#40;List*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#31">Synopsis/PTree/Visitor.hh:31</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lLiteral_S_r" >visit&#40;Literal*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#32">Synopsis/PTree/Visitor.hh:32</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCommentedAtom_S_r" >visit&#40;CommentedAtom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#33">Synopsis/PTree/Visitor.hh:33</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDupAtom_S_r" >visit&#40;DupAtom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#34">Synopsis/PTree/Visitor.hh:34</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lIdentifier_S_r" >visit&#40;Identifier*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#35">Synopsis/PTree/Visitor.hh:35</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKeyword_S_r" >visit&#40;Keyword*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#36">Synopsis/PTree/Visitor.hh:36</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mAuto_S_r" >visit&#40;Kwd::Auto*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#37">Synopsis/PTree/Visitor.hh:37</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mBreak_S_r" >visit&#40;Kwd::Break*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#38">Synopsis/PTree/Visitor.hh:38</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mBool_S_r" >visit&#40;Kwd::Bool*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#39">Synopsis/PTree/Visitor.hh:39</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mCase_S_r" >visit&#40;Kwd::Case*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#40">Synopsis/PTree/Visitor.hh:40</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mCatch_S_r" >visit&#40;Kwd::Catch*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#41">Synopsis/PTree/Visitor.hh:41</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mChar_S_r" >visit&#40;Kwd::Char*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#42">Synopsis/PTree/Visitor.hh:42</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mClass_S_r" >visit&#40;Kwd::Class*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#43">Synopsis/PTree/Visitor.hh:43</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mContinue_S_r" >visit&#40;Kwd::Continue*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#44">Synopsis/PTree/Visitor.hh:44</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mConst_S_r" >visit&#40;Kwd::Const*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#45">Synopsis/PTree/Visitor.hh:45</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDefault_S_r" >visit&#40;Kwd::Default*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#46">Synopsis/PTree/Visitor.hh:46</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDelete_S_r" >visit&#40;Kwd::Delete*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#47">Synopsis/PTree/Visitor.hh:47</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDouble_S_r" >visit&#40;Kwd::Double*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#48">Synopsis/PTree/Visitor.hh:48</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDo_S_r" >visit&#40;Kwd::Do*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#49">Synopsis/PTree/Visitor.hh:49</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mElse_S_r" >visit&#40;Kwd::Else*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#50">Synopsis/PTree/Visitor.hh:50</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mExtern_S_r" >visit&#40;Kwd::Extern*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#51">Synopsis/PTree/Visitor.hh:51</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFloat_S_r" >visit&#40;Kwd::Float*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#52">Synopsis/PTree/Visitor.hh:52</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFor_S_r" >visit&#40;Kwd::For*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#53">Synopsis/PTree/Visitor.hh:53</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFriend_S_r" >visit&#40;Kwd::Friend*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#54">Synopsis/PTree/Visitor.hh:54</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mGoto_S_r" >visit&#40;Kwd::Goto*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#55">Synopsis/PTree/Visitor.hh:55</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mInline_S_r" >visit&#40;Kwd::Inline*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#56">Synopsis/PTree/Visitor.hh:56</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mIf_S_r" >visit&#40;Kwd::If*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#57">Synopsis/PTree/Visitor.hh:57</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mInt_S_r" >visit&#40;Kwd::Int*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#58">Synopsis/PTree/Visitor.hh:58</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mLong_S_r" >visit&#40;Kwd::Long*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#59">Synopsis/PTree/Visitor.hh:59</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mMutable_S_r" >visit&#40;Kwd::Mutable*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#60">Synopsis/PTree/Visitor.hh:60</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mNamespace_S_r" >visit&#40;Kwd::Namespace*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#61">Synopsis/PTree/Visitor.hh:61</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mNew_S_r" >visit&#40;Kwd::New*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#62">Synopsis/PTree/Visitor.hh:62</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mOperator_S_r" >visit&#40;Kwd::Operator*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#63">Synopsis/PTree/Visitor.hh:63</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mPrivate_S_r" >visit&#40;Kwd::Private*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#64">Synopsis/PTree/Visitor.hh:64</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mProtected_S_r" >visit&#40;Kwd::Protected*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#65">Synopsis/PTree/Visitor.hh:65</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mPublic_S_r" >visit&#40;Kwd::Public*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#66">Synopsis/PTree/Visitor.hh:66</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mRegister_S_r" >visit&#40;Kwd::Register*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#67">Synopsis/PTree/Visitor.hh:67</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mReturn_S_r" >visit&#40;Kwd::Return*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#68">Synopsis/PTree/Visitor.hh:68</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mShort_S_r" >visit&#40;Kwd::Short*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#69">Synopsis/PTree/Visitor.hh:69</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mSigned_S_r" >visit&#40;Kwd::Signed*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#70">Synopsis/PTree/Visitor.hh:70</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mStatic_S_r" >visit&#40;Kwd::Static*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#71">Synopsis/PTree/Visitor.hh:71</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mStruct_S_r" >visit&#40;Kwd::Struct*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#72">Synopsis/PTree/Visitor.hh:72</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mSwitch_S_r" >visit&#40;Kwd::Switch*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#73">Synopsis/PTree/Visitor.hh:73</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTemplate_S_r" >visit&#40;Kwd::Template*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#74">Synopsis/PTree/Visitor.hh:74</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mThis_S_r" >visit&#40;Kwd::This*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#75">Synopsis/PTree/Visitor.hh:75</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mThrow_S_r" >visit&#40;Kwd::Throw*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#76">Synopsis/PTree/Visitor.hh:76</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTry_S_r" >visit&#40;Kwd::Try*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#77">Synopsis/PTree/Visitor.hh:77</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTypedef_S_r" >visit&#40;Kwd::Typedef*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#78">Synopsis/PTree/Visitor.hh:78</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTypename_S_r" >visit&#40;Kwd::Typename*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#79">Synopsis/PTree/Visitor.hh:79</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUnion_S_r" >visit&#40;Kwd::Union*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#80">Synopsis/PTree/Visitor.hh:80</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUnsigned_S_r" >visit&#40;Kwd::Unsigned*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#81">Synopsis/PTree/Visitor.hh:81</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUsing_S_r" >visit&#40;Kwd::Using*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#82">Synopsis/PTree/Visitor.hh:82</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVirtual_S_r" >visit&#40;Kwd::Virtual*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#83">Synopsis/PTree/Visitor.hh:83</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVoid_S_r" >visit&#40;Kwd::Void*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#84">Synopsis/PTree/Visitor.hh:84</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVolatile_S_r" >visit&#40;Kwd::Volatile*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#85">Synopsis/PTree/Visitor.hh:85</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mWChar_S_r" >visit&#40;Kwd::WChar*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#86">Synopsis/PTree/Visitor.hh:86</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mWhile_S_r" >visit&#40;Kwd::While*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#88">Synopsis/PTree/Visitor.hh:88</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lBrace_S_r" >visit&#40;Brace*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#90">Synopsis/PTree/Visitor.hh:90</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lBlock_S_r" >visit&#40;Block*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#91">Synopsis/PTree/Visitor.hh:91</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lClassBody_S_r" >visit&#40;ClassBody*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#92">Synopsis/PTree/Visitor.hh:92</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypedef_S_r" >visit&#40;Typedef*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#94">Synopsis/PTree/Visitor.hh:94</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateDecl_S_r" >visit&#40;TemplateDecl*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#95">Synopsis/PTree/Visitor.hh:95</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateInstantiation_S_r" >visit&#40;TemplateInstantiation*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#96">Synopsis/PTree/Visitor.hh:96</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lExternTemplate_S_r" >visit&#40;ExternTemplate*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#97">Synopsis/PTree/Visitor.hh:97</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lMetaclassDecl_S_r" >visit&#40;MetaclassDecl*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#99">Synopsis/PTree/Visitor.hh:99</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lLinkageSpec_S_r" >visit&#40;LinkageSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#101">Synopsis/PTree/Visitor.hh:101</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceSpec_S_r" >visit&#40;NamespaceSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#103">Synopsis/PTree/Visitor.hh:103</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDirective_S_r" >visit&#40;UsingDirective*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#110">Synopsis/PTree/Visitor.hh:110</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclaration_S_r" >visit&#40;Declaration*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#112">Synopsis/PTree/Visitor.hh:112</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceAlias_S_r" >visit&#40;NamespaceAlias*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#114">Synopsis/PTree/Visitor.hh:114</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lFunctionDefinition_S_r" >visit&#40;FunctionDefinition*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#123">Synopsis/PTree/Visitor.hh:123</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lParameterDeclaration_S_r" >visit&#40;ParameterDeclaration*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#125">Synopsis/PTree/Visitor.hh:125</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDeclaration_S_r" >visit&#40;UsingDeclaration*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#127">Synopsis/PTree/Visitor.hh:127</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclarator_S_r" >visit&#40;Declarator*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#128">Synopsis/PTree/Visitor.hh:128</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lName_S_r" >visit&#40;Name*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#130">Synopsis/PTree/Visitor.hh:130</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lFstyleCastExpr_S_r" >visit&#40;FstyleCastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#131">Synopsis/PTree/Visitor.hh:131</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lClassSpec_S_r" >visit&#40;ClassSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#133">Synopsis/PTree/Visitor.hh:133</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lEnumSpec_S_r" >visit&#40;EnumSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#139">Synopsis/PTree/Visitor.hh:139</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeParameter_S_r" >visit&#40;TypeParameter*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#140">Synopsis/PTree/Visitor.hh:140</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessSpec_S_r" >visit&#40;AccessSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#141">Synopsis/PTree/Visitor.hh:141</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessDecl_S_r" >visit&#40;AccessDecl*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#142">Synopsis/PTree/Visitor.hh:142</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUserAccessSpec_S_r" >visit&#40;UserAccessSpec*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#144">Synopsis/PTree/Visitor.hh:144</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lIfStatement_S_r" >visit&#40;IfStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#146">Synopsis/PTree/Visitor.hh:146</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lSwitchStatement_S_r" >visit&#40;SwitchStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#148">Synopsis/PTree/Visitor.hh:148</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lWhileStatement_S_r" >visit&#40;WhileStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#150">Synopsis/PTree/Visitor.hh:150</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDoStatement_S_r" >visit&#40;DoStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#152">Synopsis/PTree/Visitor.hh:152</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lForStatement_S_r" >visit&#40;ForStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#154">Synopsis/PTree/Visitor.hh:154</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTryStatement_S_r" >visit&#40;TryStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#156">Synopsis/PTree/Visitor.hh:156</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lBreakStatement_S_r" >visit&#40;BreakStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#157">Synopsis/PTree/Visitor.hh:157</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lContinueStatement_S_r" >visit&#40;ContinueStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#158">Synopsis/PTree/Visitor.hh:158</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lReturnStatement_S_r" >visit&#40;ReturnStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#159">Synopsis/PTree/Visitor.hh:159</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lGotoStatement_S_r" >visit&#40;GotoStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#161">Synopsis/PTree/Visitor.hh:161</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCaseStatement_S_r" >visit&#40;CaseStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#163">Synopsis/PTree/Visitor.hh:163</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDefaultStatement_S_r" >visit&#40;DefaultStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#164">Synopsis/PTree/Visitor.hh:164</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lLabelStatement_S_r" >visit&#40;LabelStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#165">Synopsis/PTree/Visitor.hh:165</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lExprStatement_S_r" >visit&#40;ExprStatement*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#167">Synopsis/PTree/Visitor.hh:167</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lExpression_S_r" >visit&#40;Expression*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#169">Synopsis/PTree/Visitor.hh:169</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAssignExpr_S_r" >visit&#40;AssignExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#170">Synopsis/PTree/Visitor.hh:170</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCondExpr_S_r" >visit&#40;CondExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#172">Synopsis/PTree/Visitor.hh:172</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lInfixExpr_S_r" >visit&#40;InfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#173">Synopsis/PTree/Visitor.hh:173</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lPmExpr_S_r" >visit&#40;PmExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#175">Synopsis/PTree/Visitor.hh:175</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCastExpr_S_r" >visit&#40;CastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#177">Synopsis/PTree/Visitor.hh:177</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUnaryExpr_S_r" >visit&#40;UnaryExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#179">Synopsis/PTree/Visitor.hh:179</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lThrowExpr_S_r" >visit&#40;ThrowExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#181">Synopsis/PTree/Visitor.hh:181</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lSizeofExpr_S_r" >visit&#40;SizeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#182">Synopsis/PTree/Visitor.hh:182</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lOffsetofExpr_S_r" >visit&#40;OffsetofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#183">Synopsis/PTree/Visitor.hh:183</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeidExpr_S_r" >visit&#40;TypeidExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#184">Synopsis/PTree/Visitor.hh:184</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeofExpr_S_r" >visit&#40;TypeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#185">Synopsis/PTree/Visitor.hh:185</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNewExpr_S_r" >visit&#40;NewExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#187">Synopsis/PTree/Visitor.hh:187</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDeleteExpr_S_r" >visit&#40;DeleteExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#189">Synopsis/PTree/Visitor.hh:189</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lArrayExpr_S_r" >visit&#40;ArrayExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#191">Synopsis/PTree/Visitor.hh:191</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lFuncallExpr_S_r" >visit&#40;FuncallExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#193">Synopsis/PTree/Visitor.hh:193</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lPostfixExpr_S_r" >visit&#40;PostfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#195">Synopsis/PTree/Visitor.hh:195</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDotMemberExpr_S_r" >visit&#40;DotMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#197">Synopsis/PTree/Visitor.hh:197</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lArrowMemberExpr_S_r" >visit&#40;ArrowMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Visitor.hh.html#199">Synopsis/PTree/Visitor.hh:199</a>: Member function <a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lParenExpr_S_r" >visit&#40;ParenExpr*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lAccessDecl_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;AccessDecl*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessDecl_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#141">Synopsis/PTree/Visitor.hh:141</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lAccessSpec_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;AccessSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#140">Synopsis/PTree/Visitor.hh:140</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lArrayExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ArrayExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lArrayExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#189">Synopsis/PTree/Visitor.hh:189</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lArrowMemberExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ArrowMemberExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lArrowMemberExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#197">Synopsis/PTree/Visitor.hh:197</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lAssignExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;AssignExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAssignExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#169">Synopsis/PTree/Visitor.hh:169</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lAtom_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Atom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#28">Synopsis/PTree/Visitor.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lBlock_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Block*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lBlock_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#90">Synopsis/PTree/Visitor.hh:90</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lBrace_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Brace*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lBrace_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#88">Synopsis/PTree/Visitor.hh:88</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lBreakStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;BreakStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lBreakStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#156">Synopsis/PTree/Visitor.hh:156</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lCaseStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;CaseStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCaseStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#161">Synopsis/PTree/Visitor.hh:161</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lCastExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;CastExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCastExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#175">Synopsis/PTree/Visitor.hh:175</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lClassBody_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ClassBody*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lClassBody_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#91">Synopsis/PTree/Visitor.hh:91</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lClassSpec_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ClassSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lClassSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#131">Synopsis/PTree/Visitor.hh:131</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lCommentedAtom_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;CommentedAtom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCommentedAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#32">Synopsis/PTree/Visitor.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lCondExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;CondExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lCondExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#170">Synopsis/PTree/Visitor.hh:170</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lContinueStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ContinueStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lContinueStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#157">Synopsis/PTree/Visitor.hh:157</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDeclaration_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Declaration*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclaration_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#110">Synopsis/PTree/Visitor.hh:110</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDeclarator_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Declarator*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclarator_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#127">Synopsis/PTree/Visitor.hh:127</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDefaultStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;DefaultStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDefaultStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#163">Synopsis/PTree/Visitor.hh:163</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDeleteExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;DeleteExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDeleteExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#187">Synopsis/PTree/Visitor.hh:187</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lDoStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;DoStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lDoStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#150">Synopsis/PTree/Visitor.hh:150</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
